function init(hero) {
    hero.setName("Nova");
    hero.setTier(6);
    
	
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("fiskheroes:water_breathing","pack:nova", "fiskheroes:bullet_immunity", "fiskheroes:explosion_immunity", "fiskheroes:fire_immunity", "fiskheroes:cold_resistance");
 
 
 
	hero.addAttribute("WEAPON_DAMAGE", 12, 0);
    hero.addAttribute("PUNCH_DAMAGE", 17, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);
   // hero.addAttribute("SWORD_DAMAGE", 33.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 50.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);

	 hero.addKeyBind("ENERGY_PROJECTION", "Energy Beam", 1);
    hero.setDefaultScale(1.0);
	
	
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}